curl --request PATCH \
--url https://api.hubapi.com/crm/task-series/2026-09-beta/{taskId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.hubapi.com/crm/task-series/2026-09-beta/{taskId}"
payload = {
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {},
series: {
repeatInterval: 'RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR',
repeatStatus: '<string>',
startsAt: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://api.hubapi.com/crm/task-series/2026-09-beta/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update recurring task
Update the details of a specific task series in your HubSpot account. This endpoint allows you to modify properties and series configurations for the task identified by the taskId. Use this to adjust task scheduling or update task-related information.
Supported products
Supported products
Scope requirements
Scope requirements
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the task series to update.
Body
Response
successful operation
The unique identifier for the task series, represented as a string.
A map of custom property names to their values, where each value is a string.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The date and time when the task series was created, in ISO 8601 format.
The date and time when the task series was last updated, in ISO 8601 format.
Was this page helpful?